BBG Bugs - Feature #2116

Pembuatan Report SPT bulanan sesuai dengan Template SPT Tahunan.
04/06/2023 04:17 PM - Muhammad Bintar

Status: QA Test Start date: 04/06/2023
Priority: Normal Due date: 04/14/2023
Assignee: Mohammad Daud % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer ,
mohon support nya untuk pembuatan report SPT bulanan yang detail nya mirip seperti dengan report SPT tahunan.

http:/remote.minovais.com:61123/

database sql server 2014

remote.minovais.com, 1452

History

#1 - 04/06/2023 04:22 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from Tri Rizqgiaty to Fachrul Hardianto

Fachrul, tolong di assign functionalnya untuk di buatin dl menu dan filter catalog nya ya
baru nanti kl udah bs lanjut d assign ke yomma
Tks

#2 - 04/12/2023 10:07 AM - Fachrul Hardianto

- Assignee changed from Fachrul Hardianto to Johanes Christian Kurni
Jo, minta tolong di buatkan dulu menu n filter katalog nya ya.

thanks.

#3 - 04/12/2023 11:59 AM - Johanes Christian Kurni

- File Template Report eSPT Bulanan.xlsx added

- Due date changed from 04/10/2023 to 04/14/2023

- Assignee changed from Johanes Christian Kurni to Tri Rizqiaty
Dear Mba Yoma,

Menu report eSPT Bulanan sudah dibikin, detailnya:

MenulD: ESPTBLN
ReportlD: RPTEPTBLN

template report terlampir

Port: http://remote.minovais.com:61123/

Server: remote.minovais.com, 1452

DB: MinovaES_BBG_Prod

Menu: HR > Payroll Accounting > Payroll Report > eSPT Bulanan

Terima kasih

#4 - 04/14/2023 04:07 PM - Tri Rizqgiaty
- File MinovalS.MinovaES.Business.Download.dll added
- File exportSPTBulan.html added
http://remote.minovais.com:61123/
http://remote.minovais.com:61123/

- File exportSPTBulan.js added

- File ViewExportSPTBulan.js added

- File CtrlExportSPTBulan.js added

- File PRPTPYSPT1721BULANAN.sql added
- File SPT Bulanan.xlsx added

- Status changed from Assigned to Developing

Notes : SPT bukan dalam bentuk report tetapi export ke dalam excel / csv, jadi report id tidak digunakan
Fixing :

. Udpate folder API2 : MinovalS.MinovaES.Business.Download.dll

. Update folder UI\Pages : exportSPTBulan.js & exportSPTBulan.html
. Update folder Ul\app\view\masterdata : ViewExportSPTBulan.js

. Update folder Ul\app\controller\masterdata : CtrIExportSPTBulan.js
. Execute SP : PRPTPYSPT1721BULANAN.sql

. Update table sesuai excel terlampir : SPT Bulanan.xlIsx
#5 - 04/14/2023 04:07 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizgiaty to Mohammad Daud

Files

BBG_SPH Pembuatan SPT Tahunan_Rev2_By.Nico.pdf 177 KB 04/06/2023 Muhammad Bintar
Template Report eSPT Bulanan.xIsx 9.88 KB 04/12/2023 Johanes Christian Kurni
MinovalS.MinovaES.Business.Download.dll 8 KB 04/14/2023 Tri Rizgiaty
exportSPTBulan.html 598 Bytes 04/14/2023 Tri Rizgiaty
exportSPTBulan.js 325 Bytes 04/14/2023 Tri Rizqiaty
ViewExportSPTBulan.js 2.07 KB 04/14/2023 Tri Rizqiaty
CtrlExportSPTBulan.js 6.12 KB 04/14/2023 Tri Rizgiaty
PRPTPYSPT1721BULANAN.sql 120 KB 04/14/2023 Tri Rizqiaty
SPT Bulanan.xlsx 17.5 KB 04/14/2023 Tri Rizqgiaty
